var objectName = "SAS Institute Client Installation of webEIS Classes";
var vi = new netscape.softupdate.VersionInfo(1,2,0,0);
var su = new netscape.softupdate.SoftwareUpdate(this, objectName);
bAbort = false;

// Start the installation procedure
err = su.StartInstall("java/download/sas/webEIS/", vi,
          netscape.softupdate.SoftwareUpdate.FULL_INSTALL);
bAbort = bAbort || (err != 0);

if (!bAbort)
{
   // Set the target folder location according to the platform...

   // For Windows 32...
   if (navigator.platform == "Win32")
   {
      // If Netscape Navigator 4.5 or greater...
      if (navigator.appVersion >= "4.5")
      {
         // Automatically search the registry for the "active" Java Plug-in directory...

         winreg = su.GetWinRegistry();
//       winreg.setRootKey(winreg.HKEY_LOCAL_MACHINE);
//       plugindir = winreg.getValueString("Software\\JavaSoft\\Java Plug-in\\1.1", "Home");
         winreg.setRootKey(winreg.HKEY_CLASSES_ROOT);
         plugindir = winreg.getValueString("CLSID\\{8AD9C840-044E-11D1-B3E9-00805F499D93}\\InprocServer32", "");

         // Extract root of Plug-in directory...
         i = plugindir.indexOf("\\bin\\beans.ocx");
         if (i == -1)
            i = plugindir.indexOf("\\bin\\");
         if (i != -1)
            plugindir = plugindir.substring(0, i);

         // Replace drive's ":" with "|"
         i = plugindir.indexOf(":");
         if (i != -1)
            plugindir = plugindir.substring(0, i) + "|" + plugindir.substring(i+1, plugindir.length());

         folder = su.GetFolder("file:///", plugindir);
      }
      else
      {
         // Older version of Netscape, so cannot use the "file:///" parameter of GetFolder(). Must prompt user instead.

         alert("You must specify the directory where the Java Plug-in is installed on your computer.\nUse the next dialog to locate the folder. You can avoid this process in the future by\nupgrading to Netscape Navigator 4.5 or greater.");
         folder= su.GetFolder("User Pick");
      }
   }
   else
   {
      // Some other OS, so the registry isn't available. Must prompt user instead.

      alert("You must specify the directory where the Java Plug-in is installed on your computer.\nUse the next dialog to locate the folder.");
      folder= su.GetFolder("User Pick");
   }


   // Always copy to the "lib" subdirectory...
   relativePath = "lib\\";


   // Unpack the files...

   err = su.AddSubcomponent("webEIS JAR File", vi, "webEIS.jar", folder, relativePath + "webEIS.jar", this.force);
   bAbort = bAbort || (err != 0);

   err = su.AddSubcomponent("webAF JAR File", vi, "webAF.jar", folder, relativePath + "webAF.jar", this.force);
   bAbort = bAbort || (err != 0);

   err = su.AddSubcomponent("SAS IntrNet JAR File", vi, "connect.jar", folder, relativePath + "connect.jar", this.force);
   bAbort = bAbort || (err != 0);

   err = su.AddSubcomponent("SAS Remote Object JAR File", vi, "remobj.jar", folder, relativePath + "remobj.jar", this.force);
   bAbort = bAbort || (err != 0);
  
   err = su.AddSubcomponent("SAS NetUtil JAR File", vi, "netutil.jar", folder, relativePath + "netutil.jar", this.force);
   bAbort = bAbort || (err != 0);
  
   err = su.AddSubcomponent("Sun Activation JAR File", vi, "activation.jar", folder, relativePath + "activation.jar", this.force);
   bAbort = bAbort || (err != 0);
  
   err = su.AddSubcomponent("ANTLR Parser JAR File", vi, "antlr.jar", folder, relativePath + "antlr.jar", this.force);
   bAbort = bAbort || (err != 0);
  
   err = su.AddSubcomponent("Sun JavaMail JAR File", vi, "mail.jar", folder, relativePath + "mail.jar", this.force);
   bAbort = bAbort || (err != 0);
}

if (!bAbort)
{
   err = su.FinalizeInstall();
   if (err == 0) {
      alert("Installation is complete. Please 'reload' the current page to continue.");
   }
}
else {
   su.AbortInstall();
}
